import { OnInit } from '@angular/core';
import { TableResultsPage } from '../table-results-page';
import { PageRequestData } from '../page-request-data';
import { TableColumn } from '../table-column';
import { FooterLegend } from '../footer/footer-legend';
import { Observable } from 'rxjs/Observable';
import { TableStateService } from '../table-state.service';
import { TableState } from '../table-state';
export declare class TableComponent implements OnInit {
    private tableStateService;
    tableId: string;
    dataSource: (requestPageData: PageRequestData) => Observable<TableResultsPage>;
    columns: TableColumn[];
    pageSize: number;
    footerLegend: FooterLegend;
    currentPage: number;
    resultsPage: TableResultsPage;
    rows: any;
    private columnOrdering;
    constructor(tableStateService: TableStateService);
    ngOnInit(): void;
    private resolveInitialPagination();
    loadState(tableState: TableState): void;
    saveState(): void;
    onPageClicked(page: number): void;
    sort(prop: string): void;
    buildDataRequestConfig(): PageRequestData;
    private loadData(requestPageData);
    refreshData(): void;
    getSortDirection(column: TableColumn): 'asc' | 'desc';
}
